Inicio / Alerta Temprana / Avisos Seguridad / Múltiples vulnerabilidades en RouterOS de MikroTik

Múltiples vulnerabilidades en RouterOS de MikroTik

Fecha de publicación: 
29/10/2019
Importancia: 
4 - Alta
Recursos afectados: 
  • RouterOS Stable, con versiones 6.45.6 y anteriores,
  • RouterOS Long-term, con versiones 6.44.5 y anteriores.
Descripción: 

Jacob Baines, investigador de seguridad en Tenable, ha descubierto 4 vulnerabilidades con criticidades altas. Un atacante remoto, no autenticado, podría acceder, modificar u obtener privilegios de root en el dispositivo.

Solución: 
  • MikroTik ha publicado actualizaciones que solucionan las vulnerabilidades:
    • RouterOS Stable, actualizar a la versión 6.45.7,
    • RouterOS Long-term, actualizar a la versión 6.44.6.
Detalle: 
  • Una vulnerabilidad se encuentra en la posibilidad de realizar peticiones DNS al puerto 8291. Un atacante remoto, no autenticado, podría realizar un ataque de envenenamiento de cache DNS en el dispositivo. Se ha asignado el identificador CVE-2019-3978 para esta vulnerabilidad.
  • Una vulnerabilidad se debe al manejo indebido de repuestas DNS. Un atacante remoto, a través de un servidor DNS comprometido, podría enviar peticiones maliciosas para envenenar la caché DNS del router. Se ha asignado el identificador CVE-2019-3979 para esta vulnerabilidad.
  • Una vulnerabilidad reside en el campo de nombre de los paquetes de actualizaciones. Un atacante podría generar un paquete de actualización malicioso, que si un usuario autenticado instalase en el dispositivo, podría habilitar un terminal con privilegios de root. Se ha asignado el identificador CVE-2019-3976 para esta vulnerabilidad.
  • Una vulnerabilidad se encuentra en la falta de validación de paquetes de actualizaciones cuando el parámetro de autoactualizar se encuentra activo. Un atacante remoto podría realizar un downgrade del firmware del router y reiniciar los usuarios y contraseñas. Se ha asignado el identificador CVE-2019-3977 para esta vulnerabilidad.

Encuesta valoración